%define		mod_name	proxy_html
%define		apxs		/usr/sbin/apxs
Summary:	mod_proxy_html - additional proxy module for rewriting HTML links
Summary(pl.UTF-8):	mod_proxy_html - dodatkowy moduł proxy do przepisywania odnośników HTML
Name:		apache-mod_%{mod_name}
Version:	3.0.1
Release:	4
License:	GPL
Group:		Networking/Daemons/HTTP
Source0:	http://apache.webthing.com/mod_proxy_html/mod_proxy_html.c
# Source0-md5:	6d38fbcd58e6e5cac246da3d1fcd22f4
Patch0:		format-security.patch
URL:		http://apache.webthing.com/mod_proxy_html/
BuildRequires:	%{apxs}
BuildRequires:	apache-devel >= 2.0.44
BuildRequires:	apr-devel >= 1:0.9.4-1
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libxml2-devel >= 2.5.10
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	apache(modules-api) = %apache_modules_api
Requires:	apache-mod_proxy
Requires:	libxml2 >= 2.5.10
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)/conf.d

%description
mod_proxy_html is additional proxy module for rewriting HTML links so
that they don't break in a reverse proxy.

%description -l pl.UTF-8
mod_proxy_html to dodatkowy moduł proxy do przepisywania odnośników
HTML w ten sposób, by nie były uszkadzane przez odwrotne proxy.

%prep
%setup -q -c -T
cp %{SOURCE0} .
%patch0 -p1

%build
%{apxs} \
	-c -o mod_%{mod_name}.la \
	$(%{_bindir}/xml2-config --cflags --libs) \
	mod_%{mod_name}.c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}}

install .libs/mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}
cat <<EOF > $RPM_BUILD_ROOT%{_sysconfdir}/35_mod_%{mod_name}.conf
LoadModule proxy_html_module	modules/mod_proxy_html.so

# You will find configuration instructions here:
# http://apache.webthing.com/mod_proxy_html/config.html
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q httpd restart

%postun
if [ "$1" = "0" ]; then
	%service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/*.so
%changelog
* Sun May 05 2013 Jan Rękorajski <baggins@pld-linux.org> 192c4c8
- fix -Wformat-security errors
- rel 4

* Tue Feb 03 2009 Elan Ruusamäe <glen@pld-linux.org> 9f40fe9
- todo seems outdated

* Mon Feb 02 2009 Elan Ruusamäe <glen@pld-linux.org> e51111f
- no httpd.conf dir provided in th; rel 3

* Mon Oct 27 2008 hawk <hawk@pld-linux.org> ba2dc55
- we provide /etc/httpd/conf.d not httpd.conf directory
- release 2, should fix broken directory dep

* Mon Oct 27 2008 pawelz <pawelz@pld-linux.org> 45e4066
- up to 3.0.1

* Sat Oct 25 2008 Paweł Gołaszewski <blues@pld-linux.org> ac9b80d
- HTTP group

* Sun Dec 09 2007 Elan Ruusamäe <glen@pld-linux.org> 7b9fe6b
- apache-apxs -> %{apxs} in BR

* Thu Jun 07 2007 shadzik <shadzik@pld-linux.org> 66c900f
- BR s@%{apxs}@apache-apxs@g

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 8ca8299
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 8eb66b6
- converted to UTF-8

* Fri Nov 17 2006 Elan Ruusamäe <glen@pld-linux.org> 2204716
- fix apache runtime deps

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> 131854d
- orphaned, outdated

* Fri Apr 14 2006 Elan Ruusamäe <glen@pld-linux.org> 7fd8fe8
- restart apache in %postun rather in %preun as the config file, loading module
  is still there and module will be loaded after package is uninstalled, which
  later causes missing configuration file errors.

* Mon Jan 30 2006 Elan Ruusamäe <glen@pld-linux.org> 70f1678
- use %service

* Tue Dec 27 2005 Elan Ruusamäe <glen@pld-linux.org> 1f57031
- unified

* Mon Dec 12 2005 Elan Ruusamäe <glen@pld-linux.org> d2bd06e
- adapterized (sorted %verify attrs)

* Thu Nov 04 2004 paladine <paladine@pld-linux.org> 9f1dfc4
- spaces->tabs

* Wed Oct 06 2004 Jakub Bogusz <qboosh@pld-linux.org> 19290eb
- finished broken pl desc

* Sun Sep 19 2004 radek <radek@pld-linux.org> d12ef0b
- cosmetics

* Wed Sep 15 2004 radek <radek@pld-linux.org> ac09bae
- unified

